# WorkshopTasker

Allows for managing order tasks and imported products for a small workshop.

*A college database project*

# Running

The project was tested with the nodejs version v18.17.1. It may not work with versions higher than 18 of nodejs.

Project uses Oracle MySQL as a database store. It uses environment variables for the connection settings. All provided variables below are required.

| Environment variable | Description       |
|----------------------|-------------------|
| `DB_URL`             | Database url, see [this](https://www.prisma.io/docs/concepts/database-connectors/mysql#connection-url) |

## From Repository

Dev dependencies are required. `npm install -D`.

After setting variables, you can run the project using `npx nuxi dev`.
You can also setup variables by placing .env file in the root of the repository.

When using nix, you can use `nix-shell` to get prisma engines installed in your environment.

## From Actions

You can download build from [repository actions](https://git.proot.pl/Wroclaw/WorkshopTasker/actions?workflow=build.yml).

You need to extract tar file.
After setting environment variables, you can launch the project using the `node server/index.mjs` command.
